opencv: /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/highgui/include/opencv2/highgui/highgui_c.h File Reference

Defines | Typedefs | Enumerations | Functions

# /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/highgui/include/opencv2/highgui/highgui_c.h File Reference

Go to the source code of this file.

## Defines
#define | CV_FOURCC_DEFAULT CV_FOURCC('I', 'Y', 'U', 'V')
#define | CV_FOURCC_PROMPT -1
#define | cvAddSearchPath(path)
#define | cvCaptureFromAVI cvCaptureFromFile
#define | cvCaptureFromCAM cvCreateCameraCapture
#define | cvCaptureFromFile cvCreateFileCapture
#define | cvCreateAVIWriter cvCreateVideoWriter
#define | cvvAddSearchPath cvAddSearchPath
#define | cvvConvertImage cvConvertImage
#define | cvvCreateTrackbar cvCreateTrackbar
#define | cvvDestroyWindow cvDestroyWindow
#define | cvvInitSystem cvInitSystem
#define | cvvLoadImage(name) cvLoadImage((name),1)
#define | cvvNamedWindow cvNamedWindow
#define | cvvResizeWindow cvResizeWindow
#define | cvvSaveImage cvSaveImage
#define | cvvShowImage cvShowImage
#define | cvvWaitKey(name) cvWaitKey(0)
#define | cvvWaitKeyEx(name, delay) cvWaitKey(delay)
#define | cvWriteToAVI cvWriteFrame
#define | HG_AUTOSIZE CV_WINDOW_AUTOSIZE
#define | set_postprocess_func cvSetPostprocessFuncWin32
#define | set_preprocess_func cvSetPreprocessFuncWin32
## Typedefs
typedef void(CV_CDECL * | CvButtonCallback )(int state, void *userdata)
typedef struct CvCapture | CvCapture
typedef void(CV_CDECL * | CvOpenGLCallback )(void *userdata)
typedef void(CV_CDECL * | CvTrackbarCallback )(int pos)
typedef void(CV_CDECL * | CvTrackbarCallback2 )(int pos, void *userdata)
typedef struct CvVideoWriter | CvVideoWriter
typedef int int int | flags
typedef int int int void * | param
typedef int | x
typedef int int | y
## Enumerations
enum | { CV_FONT_LIGHT = 25, CV_FONT_NORMAL = 50, CV_FONT_DEMIBOLD = 63, CV_FONT_BOLD = 75, CV_FONT_BLACK = 87 }
enum | { CV_STYLE_NORMAL = 0, CV_STYLE_ITALIC = 1, CV_STYLE_OBLIQUE = 2 }
enum | { CV_PUSH_BUTTON = 0, CV_CHECKBOX = 1, CV_RADIOBOX = 2 }
enum | { CV_WND_PROP_FULLSCREEN = 0, CV_WND_PROP_AUTOSIZE = 1, CV_WND_PROP_ASPECTRATIO = 2, CV_WINDOW_NORMAL = 0x00000000, CV_WINDOW_AUTOSIZE = 0x00000001, CV_GUI_EXPANDED = 0x00000000, CV_GUI_NORMAL = 0x00000010, CV_WINDOW_FULLSCREEN = 1, CV_WINDOW_FREERATIO = 0x00000100, CV_WINDOW_KEEPRATIO = 0x00000000 }
enum | { CV_EVENT_MOUSEMOVE = 0, CV_EVENT_LBUTTONDOWN = 1, CV_EVENT_RBUTTONDOWN = 2, CV_EVENT_MBUTTONDOWN = 3, CV_EVENT_LBUTTONUP = 4, CV_EVENT_RBUTTONUP = 5, CV_EVENT_MBUTTONUP = 6, CV_EVENT_LBUTTONDBLCLK = 7, CV_EVENT_RBUTTONDBLCLK = 8, CV_EVENT_MBUTTONDBLCLK = 9 }
enum | { CV_EVENT_FLAG_LBUTTON = 1, CV_EVENT_FLAG_RBUTTON = 2, CV_EVENT_FLAG_MBUTTON = 4, CV_EVENT_FLAG_CTRLKEY = 8, CV_EVENT_FLAG_SHIFTKEY = 16, CV_EVENT_FLAG_ALTKEY = 32 }
enum | { CV_LOAD_IMAGE_UNCHANGED = -1, CV_LOAD_IMAGE_GRAYSCALE = 0, CV_LOAD_IMAGE_COLOR = 1, CV_LOAD_IMAGE_ANYDEPTH = 2, CV_LOAD_IMAGE_ANYCOLOR = 4 }
enum | { CV_IMWRITE_JPEG_QUALITY = 1, CV_IMWRITE_PNG_COMPRESSION = 16, CV_IMWRITE_PXM_BINARY = 32 }
enum | { CV_CVTIMG_FLIP = 1, CV_CVTIMG_SWAP_RB = 2 }
enum | { CV_CAP_ANY = 0, CV_CAP_MIL = 100, CV_CAP_VFW = 200, CV_CAP_V4L = 200, CV_CAP_V4L2 = 200, CV_CAP_FIREWARE = 300, CV_CAP_FIREWIRE = 300, CV_CAP_IEEE1394 = 300, CV_CAP_DC1394 = 300, CV_CAP_CMU1394 = 300, CV_CAP_STEREO = 400, CV_CAP_TYZX = 400, CV_TYZX_LEFT = 400, CV_TYZX_RIGHT = 401, CV_TYZX_COLOR = 402, CV_TYZX_Z = 403, CV_CAP_QT = 500, CV_CAP_UNICAP = 600, CV_CAP_DSHOW = 700, CV_CAP_PVAPI = 800 }
enum | { CV_CAP_PROP_POS_MSEC = 0, CV_CAP_PROP_POS_FRAMES = 1, CV_CAP_PROP_POS_AVI_RATIO = 2, CV_CAP_PROP_FRAME_WIDTH = 3, CV_CAP_PROP_FRAME_HEIGHT = 4, CV_CAP_PROP_FPS = 5, CV_CAP_PROP_FOURCC = 6, CV_CAP_PROP_FRAME_COUNT = 7, CV_CAP_PROP_FORMAT = 8, CV_CAP_PROP_MODE = 9, CV_CAP_PROP_BRIGHTNESS = 10, CV_CAP_PROP_CONTRAST = 11, CV_CAP_PROP_SATURATION = 12, CV_CAP_PROP_HUE = 13, CV_CAP_PROP_GAIN = 14, CV_CAP_PROP_EXPOSURE = 15, CV_CAP_PROP_CONVERT_RGB = 16, CV_CAP_PROP_WHITE_BALANCE = 17, CV_CAP_PROP_RECTIFICATION = 18, CV_CAP_PROP_MONOCROME = 19 }
## Functions
CV_INLINE int | CV_FOURCC (char c1, char c2, char c3, char c4)
void | cvAddText (const CvArr *img, const char *text, CvPoint org, CvFont *arg2)
void | cvConvertImage (const CvArr *src, CvArr *dst, int flags CV_DEFAULT(0))
int | cvCreateButton (const char *button_name CV_DEFAULT(NULL), CvButtonCallback on_change CV_DEFAULT(NULL), void *userdata CV_DEFAULT(NULL), int button_type CV_DEFAULT(CV_PUSH_BUTTON), int initial_button_state CV_DEFAULT(0))
CvCapture * | cvCreateCameraCapture (int index)
CvCapture * | cvCreateFileCapture (const char *filename)
void | cvCreateOpenGLCallback (const char *window_name, CvOpenGLCallback callbackOpenGL, void *userdata CV_DEFAULT(NULL), double angle CV_DEFAULT(-1), double zmin CV_DEFAULT(-1), double zmax CV_DEFAULT(-1))
int | cvCreateTrackbar (const char *trackbar_name, const char *window_name, int *value, int count, CvTrackbarCallback on_change CV_DEFAULT(NULL))
int | cvCreateTrackbar2 (const char *trackbar_name, const char *window_name, int *value, int count, CvTrackbarCallback2 on_change, void *userdata CV_DEFAULT(0))
CvVideoWriter * | cvCreateVideoWriter (const char *filename, int fourcc, double fps, CvSize frame_size, int is_color CV_DEFAULT(1))
IplImage * | cvDecodeImage (const CvMat *buf, int iscolor CV_DEFAULT(CV_LOAD_IMAGE_COLOR))
CvMat * | cvDecodeImageM (const CvMat *buf, int iscolor CV_DEFAULT(CV_LOAD_IMAGE_COLOR))
void | cvDestroyAllWindows (void)
void | cvDestroyWindow (const char *name)
void | cvDisplayOverlay (const char *name, const char *text, int delayms)
void | cvDisplayStatusBar (const char *name, const char *text, int delayms)
CvMat * | cvEncodeImage (const char *ext, const CvArr *image, const int *params CV_DEFAULT(0))
CvFont | cvFontQt (const char *nameFont, int pointSize CV_DEFAULT(-1), CvScalar color CV_DEFAULT(cvScalarAll(0)), int weight CV_DEFAULT(CV_FONT_NORMAL), int style CV_DEFAULT(CV_STYLE_NORMAL), int spacing CV_DEFAULT(0))
int | cvGetCaptureDomain (CvCapture *capture)
double | cvGetCaptureProperty (CvCapture *capture, int property_id)
int | cvGetTrackbarPos (const char *trackbar_name, const char *window_name)
void * | cvGetWindowHandle (const char *name)
const char * | cvGetWindowName (void *window_handle)
double | cvGetWindowProperty (const char *name, int prop_id)
int | cvGrabFrame (CvCapture *capture)
int | cvInitSystem (int argc, char **argv)
IplImage * | cvLoadImage (const char *filename, int iscolor CV_DEFAULT(CV_LOAD_IMAGE_COLOR))
CvMat * | cvLoadImageM (const char *filename, int iscolor CV_DEFAULT(CV_LOAD_IMAGE_COLOR))
void | cvLoadWindowParameters (const char *name)
void | cvMoveWindow (const char *name, int x, int y)
int | cvNamedWindow (const char *name, int flags CV_DEFAULT(CV_WINDOW_AUTOSIZE))
IplImage * | cvQueryFrame (CvCapture *capture)
void | cvReleaseCapture (CvCapture **capture)
void | cvReleaseVideoWriter (CvVideoWriter **writer)
void | cvResizeWindow (const char *name, int width, int height)
IplImage * | cvRetrieveFrame (CvCapture *capture, int streamIdx CV_DEFAULT(0))
int | cvSaveImage (const char *filename, const CvArr *image, const int *params CV_DEFAULT(0))
void | cvSaveWindowParameters (const char *name)
int | cvSetCaptureProperty (CvCapture *capture, int property_id, double value)
void | cvSetMouseCallback (const char *window_name, CvMouseCallback on_mouse, void *param CV_DEFAULT(NULL))
void | cvSetTrackbarPos (const char *trackbar_name, const char *window_name, int pos)
void | cvSetWindowProperty (const char *name, int prop_id, double prop_value)
void | cvShowImage (const char *name, const CvArr *image)
int | cvStartLoop (int(*pt2Func)(int argc, char *argv[]), int argc, char *argv[])
int | cvStartWindowThread ()
void | cvStopLoop ()
int | cvWaitKey (int delay CV_DEFAULT(0))
int | cvWriteFrame (CvVideoWriter *writer, const IplImage *image)
typedef | void (CV_CDECL *CvMouseCallback)(int event

## Define Documentation

#define CV_FOURCC_DEFAULT CV_FOURCC('I', 'Y', 'U', 'V')

#define CV_FOURCC_PROMPT -1

#define cvAddSearchPath | ( |  | path ) |

#define cvCaptureFromAVI cvCaptureFromFile

#define cvCaptureFromCAM cvCreateCameraCapture

#define cvCaptureFromFile cvCreateFileCapture

#define cvCreateAVIWriter cvCreateVideoWriter

#define cvvAddSearchPath cvAddSearchPath

#define cvvConvertImage cvConvertImage

#define cvvCreateTrackbar cvCreateTrackbar

#define cvvDestroyWindow cvDestroyWindow

#define cvvInitSystem cvInitSystem

#define cvvLoadImage | ( |  | name ) | cvLoadImage((name),1)

#define cvvNamedWindow cvNamedWindow

#define cvvResizeWindow cvResizeWindow

#define cvvSaveImage cvSaveImage

#define cvvShowImage cvShowImage

#define cvvWaitKey | ( |  | name ) | cvWaitKey(0)

#define cvvWaitKeyEx | ( |  | name,
|  |  | delay
| ) |  | cvWaitKey(delay)

#define cvWriteToAVI cvWriteFrame

#define HG_AUTOSIZE CV_WINDOW_AUTOSIZE

#define set_postprocess_func cvSetPostprocessFuncWin32

#define set_preprocess_func cvSetPreprocessFuncWin32

## Typedef Documentation

typedef void(CV_CDECL * CvButtonCallback)(int state, void *userdata)

typedef struct CvCapture CvCapture

typedef void(CV_CDECL * CvOpenGLCallback)(void *userdata)

typedef void(CV_CDECL * CvTrackbarCallback)(int pos)

typedef void(CV_CDECL * CvTrackbarCallback2)(int pos, void *userdata)

typedef struct CvVideoWriter CvVideoWriter

typedef int int int flags

typedef int int int void* param

typedef int x

typedef int int y

## Enumeration Type Documentation

anonymous enum

Enumerator:

  CV_FONT_LIGHT |
  CV_FONT_NORMAL |
  CV_FONT_DEMIBOLD |
  CV_FONT_BOLD |
  CV_FONT_BLACK |

anonymous enum

Enumerator:

  CV_STYLE_NORMAL |
  CV_STYLE_ITALIC |
  CV_STYLE_OBLIQUE |

anonymous enum

Enumerator:

  CV_PUSH_BUTTON |
  CV_CHECKBOX |
  CV_RADIOBOX |

anonymous enum

Enumerator:

  CV_WND_PROP_FULLSCREEN |
  CV_WND_PROP_AUTOSIZE |
  CV_WND_PROP_ASPECTRATIO |
  CV_WINDOW_NORMAL |
  CV_WINDOW_AUTOSIZE |
  CV_GUI_EXPANDED |
  CV_GUI_NORMAL |
  CV_WINDOW_FULLSCREEN |
  CV_WINDOW_FREERATIO |
  CV_WINDOW_KEEPRATIO |

anonymous enum

Enumerator:

  CV_EVENT_MOUSEMOVE |
  CV_EVENT_LBUTTONDOWN |
  CV_EVENT_RBUTTONDOWN |
  CV_EVENT_MBUTTONDOWN |
  CV_EVENT_LBUTTONUP |
  CV_EVENT_RBUTTONUP |
  CV_EVENT_MBUTTONUP |
  CV_EVENT_LBUTTONDBLCLK |
  CV_EVENT_RBUTTONDBLCLK |
  CV_EVENT_MBUTTONDBLCLK |

anonymous enum

Enumerator:

  CV_EVENT_FLAG_LBUTTON |
  CV_EVENT_FLAG_RBUTTON |
  CV_EVENT_FLAG_MBUTTON |
  CV_EVENT_FLAG_CTRLKEY |
  CV_EVENT_FLAG_SHIFTKEY |
  CV_EVENT_FLAG_ALTKEY |

anonymous enum

Enumerator:

  CV_LOAD_IMAGE_UNCHANGED |
  CV_LOAD_IMAGE_GRAYSCALE |
  CV_LOAD_IMAGE_COLOR |
  CV_LOAD_IMAGE_ANYDEPTH |
  CV_LOAD_IMAGE_ANYCOLOR |

anonymous enum

Enumerator:

  CV_IMWRITE_JPEG_QUALITY |
  CV_IMWRITE_PNG_COMPRESSION |
  CV_IMWRITE_PXM_BINARY |

anonymous enum

Enumerator:

  CV_CVTIMG_FLIP |
  CV_CVTIMG_SWAP_RB |

anonymous enum

Enumerator:

  CV_CAP_ANY |
  CV_CAP_MIL |
  CV_CAP_VFW |
  CV_CAP_V4L |
  CV_CAP_V4L2 |
  CV_CAP_FIREWARE |
  CV_CAP_FIREWIRE |
  CV_CAP_IEEE1394 |
  CV_CAP_DC1394 |
  CV_CAP_CMU1394 |
  CV_CAP_STEREO |
  CV_CAP_TYZX |
  CV_TYZX_LEFT |
  CV_TYZX_RIGHT |
  CV_TYZX_COLOR |
  CV_TYZX_Z |
  CV_CAP_QT |
  CV_CAP_UNICAP |
  CV_CAP_DSHOW |
  CV_CAP_PVAPI |

anonymous enum

Enumerator:

  CV_CAP_PROP_POS_MSEC |
  CV_CAP_PROP_POS_FRAMES |
  CV_CAP_PROP_POS_AVI_RATIO |
  CV_CAP_PROP_FRAME_WIDTH |
  CV_CAP_PROP_FRAME_HEIGHT |
  CV_CAP_PROP_FPS |
  CV_CAP_PROP_FOURCC |
  CV_CAP_PROP_FRAME_COUNT |
  CV_CAP_PROP_FORMAT |
  CV_CAP_PROP_MODE |
  CV_CAP_PROP_BRIGHTNESS |
  CV_CAP_PROP_CONTRAST |
  CV_CAP_PROP_SATURATION |
  CV_CAP_PROP_HUE |
  CV_CAP_PROP_GAIN |
  CV_CAP_PROP_EXPOSURE |
  CV_CAP_PROP_CONVERT_RGB |
  CV_CAP_PROP_WHITE_BALANCE |
  CV_CAP_PROP_RECTIFICATION |
  CV_CAP_PROP_MONOCROME |

## Function Documentation

CV_INLINE int CV_FOURCC | ( | char | c1,
|  | char | c2,
|  | char | c3,
|  | char | c4
| ) |  |

void cvAddText | ( | const CvArr * | img,
|  | const char * | text,
|  | CvPoint | org,
|  | CvFont * | arg2
| ) |  |

void cvConvertImage | ( | const CvArr * | src,
|  | CvArr * | dst,
|  | int flags | CV_DEFAULT0
| ) |  |

int cvCreateButton | ( | const char *button_name | CV_DEFAULTNULL,
|  | CvButtonCallback on_change | CV_DEFAULTNULL,
|  | void *userdata | CV_DEFAULTNULL,
|  | int button_type | CV_DEFAULTCV_PUSH_BUTTON,
|  | int initial_button_state | CV_DEFAULT0
| ) |  |

CvCapture* cvCreateCameraCapture | ( | int | index ) |

CvCapture* cvCreateFileCapture | ( | const char * | filename ) |

void cvCreateOpenGLCallback | ( | const char * | window_name,
|  | CvOpenGLCallback | callbackOpenGL,
|  | void *userdata | CV_DEFAULTNULL,
|  | double angle | CV_DEFAULT-1,
|  | double zmin | CV_DEFAULT-1,
|  | double zmax | CV_DEFAULT-1
| ) |  |

int cvCreateTrackbar | ( | const char * | trackbar_name,
|  | const char * | window_name,
|  | int * | value,
|  | int | count,
|  | CvTrackbarCallback on_change | CV_DEFAULTNULL
| ) |  |

int cvCreateTrackbar2 | ( | const char * | trackbar_name,
|  | const char * | window_name,
|  | int * | value,
|  | int | count,
|  | CvTrackbarCallback2 | on_change,
|  | void *userdata | CV_DEFAULT0
| ) |  |

CvVideoWriter* cvCreateVideoWriter | ( | const char * | filename,
|  | int | fourcc,
|  | double | fps,
|  | CvSize | frame_size,
|  | int is_color | CV_DEFAULT1
| ) |  |

IplImage* cvDecodeImage | ( | const CvMat * | buf,
|  | int iscolor | CV_DEFAULTCV_LOAD_IMAGE_COLOR
| ) |  |

CvMat* cvDecodeImageM | ( | const CvMat * | buf,
|  | int iscolor | CV_DEFAULTCV_LOAD_IMAGE_COLOR
| ) |  |

void cvDestroyAllWindows | ( | void | ) |

void cvDestroyWindow | ( | const char * | name ) |

void cvDisplayOverlay | ( | const char * | name,
|  | const char * | text,
|  | int | delayms
| ) |  |

void cvDisplayStatusBar | ( | const char * | name,
|  | const char * | text,
|  | int | delayms
| ) |  |

CvMat* cvEncodeImage | ( | const char * | ext,
|  | const CvArr * | image,
|  | const int *params | CV_DEFAULT0
| ) |  |

CvFont cvFontQt | ( | const char * | nameFont,
|  | int pointSize | CV_DEFAULT-1,
|  | CvScalar color | CV_DEFAULTcvScalarAll(0),
|  | int weight | CV_DEFAULTCV_FONT_NORMAL,
|  | int style | CV_DEFAULTCV_STYLE_NORMAL,
|  | int spacing | CV_DEFAULT0
| ) |  |

int cvGetCaptureDomain | ( | CvCapture * | capture ) |

double cvGetCaptureProperty | ( | CvCapture * | capture,
|  | int | property_id
| ) |  |

int cvGetTrackbarPos | ( | const char * | trackbar_name,
|  | const char * | window_name
| ) |  |

void* cvGetWindowHandle | ( | const char * | name ) |

const char* cvGetWindowName | ( | void * | window_handle ) |

double cvGetWindowProperty | ( | const char * | name,
|  | int | prop_id
| ) |  |

int cvGrabFrame | ( | CvCapture * | capture ) |

int cvInitSystem | ( | int | argc,
|  | char ** | argv
| ) |  |

IplImage* cvLoadImage | ( | const char * | filename,
|  | int iscolor | CV_DEFAULTCV_LOAD_IMAGE_COLOR
| ) |  |

CvMat* cvLoadImageM | ( | const char * | filename,
|  | int iscolor | CV_DEFAULTCV_LOAD_IMAGE_COLOR
| ) |  |

void cvLoadWindowParameters | ( | const char * | name ) |

void cvMoveWindow | ( | const char * | name,
|  | int | x,
|  | int | y
| ) |  |

int cvNamedWindow | ( | const char * | name,
|  | int flags | CV_DEFAULTCV_WINDOW_AUTOSIZE
| ) |  |

IplImage* cvQueryFrame | ( | CvCapture * | capture ) |

void cvReleaseCapture | ( | CvCapture ** | capture ) |

void cvReleaseVideoWriter | ( | CvVideoWriter ** | writer ) |

void cvResizeWindow | ( | const char * | name,
|  | int | width,
|  | int | height
| ) |  |

IplImage* cvRetrieveFrame | ( | CvCapture * | capture,
|  | int streamIdx | CV_DEFAULT0
| ) |  |

int cvSaveImage | ( | const char * | filename,
|  | const CvArr * | image,
|  | const int *params | CV_DEFAULT0
| ) |  |

void cvSaveWindowParameters | ( | const char * | name ) |

int cvSetCaptureProperty | ( | CvCapture * | capture,
|  | int | property_id,
|  | double | value
| ) |  |

void cvSetMouseCallback | ( | const char * | window_name,
|  | CvMouseCallback | on_mouse,
|  | void *param | CV_DEFAULTNULL
| ) |  |

void cvSetTrackbarPos | ( | const char * | trackbar_name,
|  | const char * | window_name,
|  | int | pos
| ) |  |

void cvSetWindowProperty | ( | const char * | name,
|  | int | prop_id,
|  | double | prop_value
| ) |  |

void cvShowImage | ( | const char * | name,
|  | const CvArr * | image
| ) |  |

int cvStartLoop | ( | int(*)(int argc, char *argv[]) | pt2Func,
|  | int | argc,
|  | char * | argv[]
| ) |  |

int cvStartWindowThread | ( | ) |

void cvStopLoop | ( | ) |

int cvWaitKey | ( | int delay | CV_DEFAULT0 ) |

int cvWriteFrame | ( | CvVideoWriter * | writer,
|  | const IplImage * | image
| ) |  |

typedef void | ( | CV_CDECL * | CvMouseCallback ) |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines